dvi2bitmap dvi2bitmap1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | Static Protected Attributes | List of all members
BitmapImage Class Referenceabstract

The superclass of the various bitmap formats. More...

`#include <BitmapImage.h>`

Inheritance diagram for BitmapImage:

## Public Types
enum | infoFields { SOFTWAREVERSION, INPUTFILENAME, FURTHERINFO }

## Public Member Functions
| BitmapImage (const int w, const int h, const int bpp=1)
virtual | ~BitmapImage ()
void | setBitmap (const Byte *B)
void | setBitmapRow (const Byte *B)
void | setTransparent (const bool sw)
void | setRGB (const bool fg, const Bitmap::BitmapColour *rgb)
virtual void | write (const string filename)=0
virtual string | fileExtension () const =0

## Static Public Member Functions
static void | setInfo (const infoFields which, const string *s)
static BitmapImage * | newBitmapImage (const string format, const int w, const int h, const int bpp=1)
static bool | supportedBitmapImage (const string format)
static const char * | firstBitmapImageFormat ()
static const char * | nextBitmapImageFormat ()
static void | verbosity (const verbosities level)

## Protected Attributes
int | w_
int | h_
const int | bpp_
const Byte * | bitmap_
Byte * | allocBitmap_
bool | myBitmap_
int | bitmapRows_
bool | isTransparent_
Bitmap::BitmapColour | fg_
Bitmap::BitmapColour | bg_

## Static Protected Attributes
static const string * | softwareversion = 0
static const string * | inputfilename = 0
static const string * | furtherinfo = 0
static const char * | formats []
static const int | nformats = sizeof(formats)/sizeof(formats[0])
static int | iterator_index = 0
static verbosities | verbosity_ = normal

## Detailed Description

The superclass of the various bitmap formats.

## Member Enumeration Documentation

enum BitmapImage::infoFields

Enumerator
SOFTWAREVERSION |
INPUTFILENAME |
FURTHERINFO |

## Constructor & Destructor Documentation

BitmapImage::BitmapImage | ( | const int | w,
|  | const int | h,
|  | const int | bpp = `1`
| ) |  |

References bg_, Bitmap::BitmapColour_s::blue, fg_, Bitmap::BitmapColour_s::green, and Bitmap::BitmapColour_s::red.

BitmapImage::~BitmapImage | ( | ) |  |
| virtual

References allocBitmap_, and myBitmap_.

## Member Function Documentation

virtual string BitmapImage::fileExtension | ( | ) |  | const
| pure virtual

Implemented in GIFBitmap, PNGBitmap, XPMBitmap, and XBMBitmap.

Referenced by Bitmap::write().

const char * BitmapImage::firstBitmapImageFormat | ( | ) |  |
| static

References formats, and iterator_index.

Referenced by main(), and Bitmap::write().

BitmapImage * BitmapImage::newBitmapImage | ( | const string | format,
|  | const int | w,
|  | const int | h,
|  | const int | bpp = `1`
| ) |  |
| static

Referenced by Bitmap::write().

const char * BitmapImage::nextBitmapImageFormat | ( | ) |  |
| static

References formats, iterator_index, and nformats.

Referenced by main().

void BitmapImage::setBitmap | ( | const Byte * | B) |  |

References bitmap_, bitmapRows_, and h_.

Referenced by Bitmap::write().

void BitmapImage::setBitmapRow | ( | const Byte * | B) |  |

References allocBitmap_, bitmap_, bitmapRows_, h_, myBitmap_, and w_.

Referenced by Bitmap::write().

void BitmapImage::setInfo | ( | const infoFields | which,
|  | const string * | s
| ) |  |
| static

References FURTHERINFO, furtherinfo, INPUTFILENAME, inputfilename, SOFTWAREVERSION, and softwareversion.

Referenced by main().

void BitmapImage::setRGB | ( | const bool | fg,
|  | const Bitmap::BitmapColour * | rgb
| ) |  |
| inline

References bg_, Bitmap::BitmapColour_s::blue, fg_, Bitmap::BitmapColour_s::green, and Bitmap::BitmapColour_s::red.

Referenced by Bitmap::write().

void BitmapImage::setTransparent | ( | const bool | sw) |  |
| inline

References isTransparent_.

Referenced by Bitmap::write().

bool BitmapImage::supportedBitmapImage | ( | const string | format) |  |
| static

References formats, and nformats.

Referenced by main().

static void BitmapImage::verbosity | ( | const verbosities | level) |  |
| inline static

References verbosity_.

Referenced by main().

virtual void BitmapImage::write | ( | const string | filename) |  |
| pure virtual

Implemented in GIFBitmap, PNGBitmap, XPMBitmap, and XBMBitmap.

Referenced by Bitmap::write().

## Member Data Documentation

Byte* BitmapImage::allocBitmap_
| protected

Referenced by setBitmapRow(), and ~BitmapImage().

Bitmap::BitmapColour BitmapImage::bg_
| protected

Referenced by BitmapImage(), setRGB(), PNGBitmap::write(), and GIFBitmap::write().

const Byte* BitmapImage::bitmap_
| protected

Referenced by setBitmap(), setBitmapRow(), XBMBitmap::write(), XPMBitmap::write(), and PNGBitmap::write().

int BitmapImage::bitmapRows_
| protected

Referenced by setBitmap(), setBitmapRow(), PNGBitmap::write(), and GIFBitmap::write().

const int BitmapImage::bpp_
| protected

Referenced by PNGBitmap::write(), and GIFBitmap::write().

Bitmap::BitmapColour BitmapImage::fg_
| protected

Referenced by BitmapImage(), setRGB(), PNGBitmap::write(), and GIFBitmap::write().

const char * BitmapImage::formats
| static protected

Initial value:
= {
"png",
"gif",
"xbm",
"xpm",
}

Referenced by firstBitmapImageFormat(), nextBitmapImageFormat(), and supportedBitmapImage().

const string * BitmapImage::furtherinfo = 0
| static protected

Referenced by setInfo(), and PNGBitmap::write().

int BitmapImage::h_
| protected

Referenced by setBitmap(), setBitmapRow(), XBMBitmap::write(), XPMBitmap::write(), PNGBitmap::write(), and GIFBitmap::write().

const string * BitmapImage::inputfilename = 0
| static protected

Referenced by setInfo(), and PNGBitmap::write().

bool BitmapImage::isTransparent_
| protected

Referenced by setTransparent(), PNGBitmap::write(), and GIFBitmap::write().

int BitmapImage::iterator_index = 0
| static protected

Referenced by firstBitmapImageFormat(), and nextBitmapImageFormat().

bool BitmapImage::myBitmap_
| protected

Referenced by setBitmapRow(), and ~BitmapImage().

const int BitmapImage::nformats = sizeof(formats)/sizeof(formats[0])
| static protected

Referenced by nextBitmapImageFormat(), and supportedBitmapImage().

const string * BitmapImage::softwareversion = 0
| static protected

Referenced by setInfo(), and PNGBitmap::write().

verbosities BitmapImage::verbosity_ = normal
| static protected

Referenced by GIFBitmap::GIFBitmap(), verbosity(), PNGBitmap::write(), and GIFBitmap::write().

int BitmapImage::w_
| protected

Referenced by setBitmapRow(), XBMBitmap::write(), XPMBitmap::write(), PNGBitmap::write(), and GIFBitmap::write().

The documentation for this class was generated from the following files:

- BitmapImage.h
- BitmapImage.cc